commit:     db03b678865281c69891bce4581c17b66174ef8c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 12:43:25 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 12:44:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db03b678

kde-misc/kdeconnect: 1.3.4 version bump, EAPI-7 bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 kde-misc/kdeconnect/Manifest                |  1 +
 kde-misc/kdeconnect/kdeconnect-1.3.4.ebuild | 86 +++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/kde-misc/kdeconnect/Manifest b/kde-misc/kdeconnect/Manifest
index 9c4de3814dc..cdc773f81bd 100644
--- a/kde-misc/kdeconnect/Manifest
+++ b/kde-misc/kdeconnect/Manifest
@@ -1 +1,2 @@
 DIST kdeconnect-kde-1.3.3.tar.xz 284712 BLAKE2B 
1e36cf9e59cefd6d30f63805d3a91d86dbb98e7b73cfbe7b3a9263996b3f500f245a2cbdec2176fcf9ff7ff6a6820d5c3509a637a5de441e3d6c50e515980ce8
 SHA512 
177f525a17c771e31acb2d36a66bc653fb7c584740409ed4a487d30a411737ee6716e353a607d08e699a579593491b9f36f46d9fe57221307f9327fc59a6779f
+DIST kdeconnect-kde-1.3.4.tar.xz 286724 BLAKE2B 
bf3353c317ebbb98e770a1c408940cb4ff5884f1e4a6a7ec4add5e26edf280c723af60f05ece904e624035f214757a8c8b7aeda578479bb6626c848a02155ee3
 SHA512 
286620cd5ed8da7a0f237710467f12be41ae139b14127b7049ee72c8a7042f67b599b642eb7c3e10a3504f1df11f5a9778db80fba4ac2e2fcd2ab4e8cafccfb9

diff --git a/kde-misc/kdeconnect/kdeconnect-1.3.4.ebuild 
b/kde-misc/kdeconnect/kdeconnect-1.3.4.ebuild
new file mode 100644
index 00000000000..551f34a864a
--- /dev/null
+++ b/kde-misc/kdeconnect/kdeconnect-1.3.4.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_HANDBOOK="forceoptional"
+KDE_TEST="true"
+KMNAME="${PN}-kde"
+KDE_SELINUX_MODULE="${PN}"
+inherit kde5
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+       SRC_URI="mirror://kde/stable/${PN}/${PV}/${KMNAME}-${PV}.tar.xz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Adds communication between KDE Plasma and your smartphone"
+HOMEPAGE="https://kde.org/ https://community.kde.org/KDEConnect";
+LICENSE="GPL-2+"
+IUSE="app bluetooth mousepad wayland"
+
+DEPEND="
+       $(add_frameworks_dep kcmutils)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdbusaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kiconthemes)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep knotifications)
+       $(add_frameworks_dep kservice)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtdeclarative)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtwidgets)
+       $(add_qt_dep qtx11extras)
+       >=app-crypt/qca-2.1.0:2[qt5(+),ssl]
+       app? ( $(add_frameworks_dep kdeclarative) )
+       bluetooth? ( $(add_qt_dep qtbluetooth) )
+       mousepad? (
+               x11-libs/libfakekey
+               x11-libs/libX11
+               x11-libs/libXtst
+       )
+       wayland? ( $(add_frameworks_dep kwayland) )
+"
+RDEPEND="${DEPEND}
+       net-fs/sshfs
+       app? ( $(add_frameworks_dep kirigami) )
+       !kde-misc/kdeconnect:4
+"
+
+RESTRICT+=" test"
+
+PATCHES=( "${FILESDIR}/${PN}-1.3.0-no-wayland.patch" )
+
+src_prepare() {
+       kde5_src_prepare
+
+       sed \
+               -e 's#${LIBEXEC_INSTALL_DIR}#@KDE_INSTALL_FULL_LIBEXECDIR@#' \
+               -i daemon/kdeconnectd.desktop.cmake || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DEXPERIMENTALAPP_ENABLED=$(usex app)
+               -DBLUETOOTH_ENABLED=$(usex bluetooth)
+               $(cmake-utils_use_find_package mousepad LibFakeKey)
+               $(cmake-utils_use_find_package wayland KF5Wayland)
+       )
+
+       kde5_src_configure
+}
+
+pkg_postinst(){
+       kde5_pkg_postinst
+
+       elog "The Android .apk file is available via"
+       elog 
"https://play.google.com/store/apps/details?id=org.kde.kdeconnect_tp";
+       elog "or via"
+       elog "https://f-droid.org/repository/browse/?fdid=org.kde.kdeconnect_tp";
+}

Reply via email to